<?php

/**
 * Created by PhpStorm.
 * User: Pablo García Sanz
 * Date: 22/02/2018
 * Time: 18:47
 */
//include "application/src/AlgoritmoEmparejamiento/IEmparejamiento.php";

/**
 * Class EmparejamientoLiga
 * Algoritmo que empareja todos contra todos.
 */
class EmparejamientoLiga implements IEmparejamiento
{

    public function emparejar($competidores)
    {
        $combates = array();
        foreach ($competidores as $i) {
            foreach ($competidores as $j) {
                if($i == $j) continue;
                $z = array($i,$j);
                sort($z);
                if(!in_array($z,$combates))
                    $combates[] = $z;
            }
        }
        return $combates;
    }
}